@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(
      to bottom,
      transparent,
      rgb(var(--background-end-rgb))
    )
    rgb(var(--background-start-rgb));
}

.sample-drag-bar {
  flex-shrink: 0;
  width: 5px;
  background-color: #d1d5db;
  cursor: col-resize;
  transition: background-color 0.15s 0.15s ease-in-out;
}

.sample-drag-bar.sample-drag-bar--dragging,
.sample-drag-bar:hover {
  background-color: #63b3ed;
}

.sample-drag-bar.sample-drag-bar--horizontal {
  height: 5px;
  width: 100%;
  cursor: row-resize;
}

.ccontents {
  transition: filter 0.2s ease-out, background-color 0.2s ease-out;
}

.dragging {
  filter: blur(5px);
  background-color: #555555;
}
